<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Бaнды и гpyппиpoвки'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){



$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
if(!empty($user['gorod_band'])){
$x=mysql_query("SELECT * FROM `gorod_band` WHERE `name`='".$user['gorod_band']."'");
$x=mysql_fetch_assoc($x);
echo "<div class='gend'>";
echo 'Банда: <font color="red">'.$x['name'].'</font><br/>';
echo 'Главарь: <font color="red">'.$x['glava'].'</font><br/>';
if($user['gorod_band_time']<time()){
echo' - <a href="grup.php?action=zp">Получить зарплату</a>';
}else{
function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};
echo'До зар-ты:<font color="red"> '.maketime($user['gorod_band_time']-time()).'</font><br/>';}

echo'  <br /> - <a href="grup.php?action=sb">Выйти из банды</a></div>';
};

$num=mysql_query("SELECT count(*) FROM `gorod_band`");
$num=mysql_fetch_array($num);
echo "<div class='guser_aut'>";
echo' - <a href="rband.php">Peйтинг бaнд ('.$num[0].')</a><br/>';
echo' - <a href="bandity.php">Peйтинг бaндитoв</a><br/>';
echo' - <a href="bandnap.php">Разборки банд</a><br/></div>';

break;




case 'zp':
if(!$user['gorod_band']){echo 'Вы не состоите в банде!';break;};
if($user['gorod_band_time']>time()){echo 'Вы уже получили зарплату! Приходите позже!';break;};
$x=mysql_query("SELECT * FROM `gorod_band` WHERE `name`='".$user['gorod_band']."'");
$x=mysql_fetch_assoc($x);
if(($x['balans']-$x['zarplata'])<=0){echo 'Недостаточно средств для выплаты зарплаты!';break;};
mysql_query("UPDATE `gorod_band` SET `balans`=`balans`-'".$x['zarplata']."' WHERE `name`='".$user['gorod_band']."'");
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'".$x['zarplata']."',`gorod_band_time`='".(time()+80000)."' WHERE `id`='".$user['id']."'");


echo 'Зарплата выплачена в размере '.$x['zarplata'].'$<br/>';
echo ' - <a href="grup.php?">К бандам</a><br/>';

break;


case 'sb':
mysql_query("UPDATE `user` SET `gorod_band`='',`gorod_band_time`='".time()."' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_band` WHERE `glava`='".$user['nick']."'");
$x=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='".$user['nick']."'");
if(mysql_query($x)>0){
mysql_query("UPDATE `user` SET `gorod_band`='' WHERE `gorod_band`='".$user['gorod_band']."'");
};
echo'Вы вышли из банды! (Ты теперь БРОДЯГА)<br/>';
break;


};
echo '<div class="page_foot"> - <a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>